Package org.apache.sling.testing.resourceresolver

# Interface MockQueryResourceHandler

@ConsumerType public interface MockQueryResourceHandler
Can provide a result when querying for resources using a certain query/language.

## Method Summary

Modifier and Type
Method
Description
`@Nullable Iterator<Map<String,Object>>`
`queryResources(@NotNull String query, String language)`

## Method Details

### queryResources

@Nullable @Nullable Iterator<Map<String,Object>> queryResources(@NotNull @NotNull String query, String language)

Parameters:
  `query` - Query
  `language` - Language
Returns:
  Returns a non-null value if a mocked result is available